> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Derivatives Tickers List

> To query all the tickers from derivatives exchanges on CoinGecko

export const CacheInfo = ({publicRate, paidRate, rate}) => {
  const fmt = v => v === 0 ? 'Real-time (Cacheless)' : `Every ${v}`;
  if (rate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><br />{fmt(rate)}
      </Callout>;
  }
  if (publicRate !== undefined && paidRate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><ul><li>{fmt(paidRate)} (Paid API)</li><li>{fmt(publicRate)} (Demo / Keyless API)</li></ul>
      </Callout>;
  }
  return null;
};

<Note>
  `open_interest` and `volume_24h` values in the response are in USD.
</Note>

<CacheInfo rate="30 seconds" />

#### SDK Examples

<CodeGroup>
  ```typescript TypeScript theme={null}
  const response = await client.derivatives.get();

  console.log(JSON.stringify(response, null, 2));
  ```

  ```python Python theme={null}
  response = client.derivatives.get()

  print(response)
  ```
</CodeGroup>


## OpenAPI

````yaml openapi-specs/demo-api.json get /derivatives
openapi: 3.0.0
info:
  title: CoinGecko Demo API
  version: 3.0.0
servers:
  - url: https://api.coingecko.com/api/v3
security:
  - headerAuth: []
  - queryAuth: []
paths:
  /derivatives:
    get:
      summary: Derivatives Tickers List
      description: To query all the tickers from derivatives exchanges on CoinGecko
      operationId: derivatives-tickers
      responses:
        '200':
          description: List of derivative tickers
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DerivativesTickers'
              example:
                - market: Binance (Futures)
                  symbol: BTCUSDT
                  index_id: BTC
                  price: '77034.8'
                  price_percentage_change_24h: -1.1733397846861013
                  contract_type: perpetual
                  index: 76691.4276087
                  basis: -0.138769748300737
                  spread: 0.01
                  funding_rate: 0.004308
                  open_interest: 7497508223.83
                  volume_24h: 9623150393.3656
                  last_traded_at: 1779807819
                  expired_at: null
                - market: Binance (Futures)
                  symbol: ETHUSDT
                  index_id: ETH
                  price: '2113.92'
                  price_percentage_change_24h: -1.213464572845443
                  contract_type: perpetual
                  index: 2099.55744186
                  basis: -0.19217332857957786
                  spread: 0.01
                  funding_rate: 0.005327
                  open_interest: 4563725156.36
                  volume_24h: 7655835901.46112
                  last_traded_at: 1779807818
                  expired_at: null
components:
  schemas:
    DerivativesTickers:
      type: array
      items:
        type: object
        required:
          - market
          - symbol
          - index_id
          - price
          - price_percentage_change_24h
          - contract_type
          - index
          - basis
          - spread
          - funding_rate
          - open_interest
          - volume_24h
          - last_traded_at
          - expired_at
        properties:
          market:
            type: string
            description: Derivative market name
          symbol:
            type: string
            description: Derivative ticker symbol
          index_id:
            type: string
            description: Derivative underlying asset
          price:
            type: string
            description: Derivative ticker price
          price_percentage_change_24h:
            type: number
            description: Derivative ticker price percentage change in 24 hours
          contract_type:
            type: string
            description: Derivative contract type
          index:
            type: number
            description: Derivative underlying asset price
          basis:
            type: number
            description: Difference of derivative price and index price
          spread:
            type: number
            description: Derivative bid-ask spread
          funding_rate:
            type: number
            description: Derivative funding rate
          open_interest:
            type: number
            description: Derivative open interest
          volume_24h:
            type: number
            description: Derivative trading volume in 24 hours
          last_traded_at:
            type: number
            description: Derivative last traded time in UNIX timestamp
          expired_at:
            type: number
            nullable: true
            description: Derivative expiry time in UNIX timestamp
  securitySchemes:
    headerAuth:
      type: apiKey
      in: header
      name: x-cg-demo-api-key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)
    queryAuth:
      type: apiKey
      in: query
      name: x_cg_demo_api_key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)

````